BaumWelchTrainer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.BaumWelchTrainer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Class BaumWelchTrainer

    java.lang.Object
      org.biojava.bio.dp.AbstractTrainer
          org.biojava.bio.dp.BaumWelchTrainer

All Implemented Interfaces:
  Serializable, TrainingAlgorithm

    public class BaumWelchTrainer

extends AbstractTrainer
implements Serializable

Train a hidden markov model using maximum likelihood.

Note: this class currently only works for one-head models.

Since:
  1.0
Author:
  Matthew Pocock, Thomas Down, Todd Riley
See Also:
  Serialized Form

Constructor Summary
`BaumWelchTrainer(DP dp)`

Method Summary
`double` | `mathExp(double arg)`
`protected double` | `singleSequenceIteration(ModelTrainer trainer, SymbolList symList)`

Methods inherited from class org.biojava.bio.dp.AbstractTrainer
`getCurrentScore, getCycle, getDP, getLastScore, train`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaumWelchTrainer

    public BaumWelchTrainer(DP dp)

Method Detail

### singleSequenceIteration

    protected double singleSequenceIteration(ModelTrainer trainer,
                                             SymbolList symList)
                                      throws IllegalSymbolException,
                                             IllegalTransitionException,
                                             IllegalAlphabetException

  Specified by:
    `singleSequenceIteration` in class `AbstractTrainer`
  Throws:
    `IllegalSymbolException`
    `IllegalTransitionException`
    `IllegalAlphabetException`

### mathExp

    public double mathExp(double arg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD